﻿Public Class Toiture

    ''' <summary>
    ''' Coefficient thermique EN1991-1-3 5.2(8)
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Ct As Double = 1
    ''' <summary>
    ''' Coefficient exposition EN1991-1-3 5.2(7)
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Ce As Double = 1
    ''' <summary>
    ''' Pente versant
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Pvers As Double
    ''' <summary>
    ''' Acrotère: vrai si acrotère sinon faux
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Acrotere As Boolean = False
    ''' <summary>
    ''' Barre à neige: vrai si versant équipé de barres à neige ou équivalent sinon faux
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Barre_A_Neige As Boolean = False
    ''' <summary>
    ''' distance la + grande entre 2 barres à neige, barre à neige/faitage, ... (m)
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property b As Double
    ''' <summary>
    ''' hauteur saillie ou obstacle sur le versant (m)
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property hSaillie As Double
    ''' <summary>
    ''' charge neige caractéristique
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Sn As Double
    ''' <summary>
    ''' charge neige accidentelle
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Sa As Double
    ''' <summary>
    ''' charge neige durable: origine
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property K_charge1 As New List(Of Double)
    ''' <summary>
    ''' charge neige durable: extrémité
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property K_charge2 As New List(Of Double)
    ''' <summary>
    ''' charge neige accidentel: origine
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property K_charge1_ad As New List(Of Double)
    ''' <summary>
    ''' charge neige accidentel: extrémité
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property K_charge2_ad As New List(Of Double)
    ' ''' <summary>
    ' ''' existence d'une toiture attenante suivant figure 5.7: vrai si oui sinon faux
    ' ''' </summary>
    ' ''' <value></value>
    ' ''' <returns></returns>
    ' ''' <remarks></remarks>
    'Public Property Attenant As Boolean = False
End Class
