﻿Imports System.Math
Imports System.IO
Module General
    Public Snw As New Neige
    Public Aff As New Affaire
    Public Roof As New List(Of Toiture)
    Public Wnd As New Vent
    Public Function checkAscii(ByVal keyAscii As Integer) As Integer
        checkAscii = Abs(keyAscii)
        If keyAscii < 0 Then
            If Abs(keyAscii) = 44 Then
                Exit Function
            End If
        End If
        If Abs(keyAscii) = 8 Then Exit Function ' touche del utilisable
        If Abs(keyAscii) = 44 Then Exit Function
        If Abs(keyAscii) < 48 Or Abs(keyAscii) > 57 Then checkAscii = 0
    End Function
    Public Sub Gestion_Keypress(ByRef ee As System.Windows.Forms.KeyPressEventArgs, ByVal text1 As System.Windows.Forms.TextBox, _
                                  ByVal positif As Boolean, ByVal entier As Boolean)
        Dim keyAscii As Integer
        keyAscii = Asc(ee.KeyChar)
        If text1.SelectionLength = text1.Text.Length Then
            text1.Clear()
        End If
        If keyAscii = Asc(".") Then
            If entier = False Then
                text1.Text = text1.Text + ","
                text1.SelectionStart = Len(text1.Text) + 1
            End If
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc(",") And entier = True Then
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("&") Then
            text1.Text = text1.Text + "1"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("é") Then
            text1.Text = text1.Text + "2"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = 34 Then ' code "
            text1.Text = text1.Text + "3"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("'") Then
            text1.Text = text1.Text + "4"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("(") Then
            text1.Text = text1.Text + "5"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If positif = True Then 'seulement si la valeur >0
            If keyAscii = Asc("-") Then
                text1.Text = text1.Text + "6"
                text1.SelectionStart = Len(text1.Text) + 1
                ee.Handled = True
                Exit Sub
            End If
        End If
        If keyAscii = Asc("è") Then
            text1.Text = text1.Text + "7"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("_") Then
            text1.Text = text1.Text + "8"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("ç") Then
            text1.Text = text1.Text + "9"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        If keyAscii = Asc("à") Then
            text1.Text = text1.Text + "0"
            text1.SelectionStart = Len(text1.Text) + 1
            ee.Handled = True
            Exit Sub
        End If
        keyAscii = checkAscii(keyAscii)
        If keyAscii = 0 Then ee.Handled = True
    End Sub
    Public Sub Lecture_fichier_Ini(ByRef Verif As Boolean)

        Dim myStreamReader As StreamReader
        Dim toto, titi(20) As String

        Try
            myStreamReader = File.OpenText(Aff.FileName)
        toto = myStreamReader.ReadLine 'on n'affecte aucune valeur sur la première ligne
            toto = myStreamReader.ReadLine 'ligne de commentaire
            toto = myStreamReader.ReadLine : Call LectureGen(toto, titi) 'ligne suivante
            Aff.Redacteur = CStr(titi(1))
            toto = myStreamReader.ReadLine : Call LectureGen(toto, titi) 'ligne suivante
            Aff.Chantier = CStr(titi(1))
            'fichiers
            toto = myStreamReader.ReadLine  'ligne suivante
            Aff.msgResult = toto
            toto = myStreamReader.ReadLine   'ligne suivante
            Aff.msgData = toto
            toto = myStreamReader.ReadLine : Call LectureGen(toto, titi) 'ligne suivante
            Aff.i_result = CInt(titi(1)) : Aff.i_data = CInt(titi(2))
            'Code de calcul
            toto = myStreamReader.ReadLine 'pour sauter la ligne
            'Editeur
            toto = myStreamReader.ReadLine 'pour sauter la ligne
            toto = myStreamReader.ReadLine : Call LectureGen(toto, titi) 'ligne suivante
            Aff.Editeur = CInt(titi(1))
            'Lecteur pdf
            toto = myStreamReader.ReadLine 'pour sauter la ligne
            toto = myStreamReader.ReadLine : Call LectureGen(toto, titi) 'ligne suivante
            Aff.Lecteur_Pdf = CStr(titi(1))
        Catch ex As Exception
            MsgBox("Erreur lors de la lecture du fichier: " + vbCrLf + ex.Message & ex.StackTrace, MsgBoxStyle.Critical Or MsgBoxStyle.OkOnly, "Module lecture fichier ini")
            Verif = False
        Finally
            If Not myStreamReader Is Nothing Then myStreamReader.Close() ' Close the object if it has been created.
        End Try

    End Sub
    Private Sub LectureGen(ByVal toto As String, ByRef titi() As String)
        Dim blanc(15), i, j, position As Integer
        Dim tutu As String
        toto = LCase(toto) 'transforme la chaine en minuscule, permet dans le fichier original d'écrire en minuscule ou en majuscule
        toto = Trim(toto) 'supprime les espaces en debut et fin de chaine
        titi(1) = Microsoft.VisualBasic.Left(toto, 1)
        i = Len(toto)     'indique la longueur totale de la chaine
        'recherche de blanc dans la chaine
        j = 0 : blanc(1) = 1 : titi(1) = toto
        Do
            j = j + 1
            position = InStr(1, titi(j), " ") 'détermine le nombre et la position des blanc 
            blanc(j) = position                      'dans la chaine
            tutu = titi(j)
            If position <> 0 Then
                titi(j) = Microsoft.VisualBasic.Left(tutu, position - 1)
                titi(j + 1) = Microsoft.VisualBasic.Right(tutu, i - position)
                titi(j + 1) = Trim(titi(j + 1))
                i = Len(titi(j + 1))
            End If
        Loop While blanc(j) <> 0
        'Suppression des points dans les nombres décimaux et remplacement par des virgules sinon plantage
        For i = 0 To j
            position = InStr(1, titi(i), ".")
            If position <> 0 Then Mid(titi(i), position) = ","
        Next
        Erase blanc
    End Sub
    Public Sub Variables_generales()
        'variables par défaut, inscrites en dur dans le logiciel
        'Ey = 210000 '''Module d'élasticité longitudinal de l'acier, en N/mm²// 
        'G = 80770 'Module d'élasticité transversal de l'acier, en N/mm² 
        'Inscrit en dur dans le logiciel dans le cas d'une réinitialisation malheureuse ............
        'Général
        With Aff
            .msgData = Directory.GetCurrentDirectory.ToString() & " \data"
            .msgResult = Directory.GetCurrentDirectory.ToString() & "\resultat"
            .i_data = 1
            .i_result = 1
            .Redacteur = "Le_Fux"
            .Chantier = "A_définir"
            .Lecteur_Pdf = "acroRd32.exe" 'Acrobat reader
        End With
        'Editeur
        Aff.Editeur = 1 'éditeur interne
        'Autres

    End Sub

    Public Function Mise_en_Forme_date(ByVal Toto As String) As String
        Dim toti As String
        toti = Replace(Toto, "/", "_")
        Toto = Replace(toti, " ", "_")
        toti = Replace(Toto, ":", "_")
        Mise_en_Forme_date = toti
    End Function
End Module
