﻿Imports System.IO
Public Class frmConfig
    Private Sub frmconfig_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        frmMenu.Visible = True
    End Sub
    Private Sub frmConfig_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim Verif As Boolean = True
        Try
            'Affichage des valeurs en cours 
            Call Lecture_fichier_Ini(Verif)
            If Verif = False Then Exit Sub
            Call Affichage()
        Catch ex As Exception
            MsgBox("Erreur lors de la lecture du fichier de configuration: " + vbCrLf + ex.Message & ex.StackTrace, MsgBoxStyle.Critical Or MsgBoxStyle.OkOnly, Me.Text)
        End Try


    End Sub

    Private Sub BtnSauvegarde_Click(sender As System.Object, e As System.EventArgs) Handles BtnSauvegarde.Click
        Dim Verif As Boolean = True

        Try
            Call Lecture(Verif)
            If Verif = False Then Exit Sub
            Call Ecriture_fichier_Cfg_ini()
            'Me.Dispose()
            'Me.Close() 'quitte le formulaire
        Catch ex As Exception
            MessageBox.Show("Erreur lors de la lecture du fichier: " + Constants.vbCrLf + ex.Message & ex.StackTrace, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
    Private Sub BtnReinit_Click(sender As System.Object, e As System.EventArgs) Handles BtnReinit.Click
        Dim reponse As Integer
        reponse = MsgBox("Attention, vous allez modifier vos préférences !!!!" & vbCrLf & "Voulez-vous continuer?", MsgBoxStyle.YesNo Or MsgBoxStyle.Exclamation Or MsgBoxStyle.DefaultButton1, "Poutre BA EC2")
        If reponse = 6 Then
            Call Variables_generales() 'appel au modules contenant les variables par defaut, écrites en dur dans le logiciel, se trouve dans le module General.vb
            Call Affichage()
        End If

    End Sub
    Private Sub Lecture(ByRef Verif As Boolean)
        'onglet général
        If RbtnDatadefaut.Checked = True Then
            Aff.msgData = Directory.GetCurrentDirectory.ToString() : Aff.i_data = 1
        Else
            Aff.msgData = LblData.Text : Aff.i_data = 2
        End If
        If RbtnResultDefaut.Checked = True Then
            Aff.msgResult = Directory.GetCurrentDirectory.ToString() : Aff.i_result = 1
        Else
            Aff.msgResult = LblResult.Text : Aff.i_result = 2
        End If
        Aff.Redacteur = TxtRedacteur.Text : Aff.Chantier = TxtChantier.Text
        Aff.Lecteur_Pdf = TxtPdf.Text
        'Onglet Editeur
        If RbtnEditeurInterne.Checked = True Then Aff.Editeur = 1
        If RbtnWord.Checked = True Then Aff.Editeur = 2
    End Sub
    Private Sub Affichage()
        'Onglet général
        TxtChantier.Text = Aff.Chantier
        TxtRedacteur.Text = Aff.Redacteur
        If Aff.i_result = 1 Then RbtnResultDefaut.Checked = True Else RbtnResultPerso.Checked = True
        If Aff.i_data = 1 Then RbtnDatadefaut.Checked = True Else RbtndataPerso.Checked = True
        LblData.Text = Aff.msgData
        LblResult.Text = Aff.msgResult
        TxtPdf.Text = Aff.Lecteur_Pdf
        'Onglet codes
        '  A faire prochaine version
        'Onglet Editeur
        Select Case Aff.Editeur
            Case 1
                RbtnEditeurInterne.Checked = True
            Case 2
                RbtnWord.Checked = True
        End Select
    End Sub
    Private Function gestionderreur(ByVal e As System.Windows.Forms.TextBox) As Boolean
        If e.Text = "" Then
            EP1.SetError(e, "le champ n'a pas été renseigné!!")
            gestionderreur = False
        ElseIf Not IsNumeric(CDbl(e.Text)) Then
            EP1.SetError(e, "le champ n'est pas une valeur numérique !!")
            gestionderreur = False
        Else
            EP1.SetError(e, "") ' Clear the error.
            gestionderreur = True
        End If
    End Function
    Public Sub Ecriture_fichier_Cfg_ini()
        Dim myStreamWriter As StreamWriter
        Try
            ' Create a StreamWriter using a Shared (static) File class.
            myStreamWriter = File.CreateText(Aff.FileName)
            myStreamWriter.WriteLine("Fichier des valeurs par défauts Calculette Bâtiment")
            myStreamWriter.WriteLine("Onglet Général")
            myStreamWriter.WriteLine(Aff.Redacteur)
            myStreamWriter.WriteLine(Aff.Chantier)
            'répertoire
            myStreamWriter.WriteLine(Aff.msgResult)
            myStreamWriter.WriteLine(Aff.msgData)
            myStreamWriter.WriteLine(Aff.i_result & " " & Aff.i_data)
            myStreamWriter.WriteLine("Onglet codes de calcul")
            'A faire dans la prochaine version
            myStreamWriter.WriteLine("Onglet Editeur")
            myStreamWriter.WriteLine(Aff.Editeur)
            myStreamWriter.WriteLine("Lecteur Pdf")
            myStreamWriter.WriteLine(Aff.Lecteur_Pdf)
            myStreamWriter.Flush() ' Obligatoire - Vide le tampon pour être sûr que tout soit écrit dans le fichier

        Catch exc As Exception
            MsgBox("Le fichier n'a pas pu être ouvert ou écrit" + vbCrLf +
                "Vérifiez que le nom du fichier et son chemin d'accès soient exact" +
                vbCrLf + vbCrLf + "Exception: " + exc.Message, MsgBoxStyle.Exclamation Or MsgBoxStyle.OkOnly,
                "Module écriture fichier configuration")
        Finally
            ' Close the object if it has been created.
            If Not myStreamWriter Is Nothing Then myStreamWriter.Close()
        End Try
    End Sub

    Private Sub BtnResultModif_Click(sender As System.Object, e As System.EventArgs) Handles BtnResultModif.Click
        Try
            With FolderBrowserDialog1
                'En principe, après avoir créé un FolderBrowserDialog, vous définissez RootFolder à l'emplacement à partir duquel commencer la navigation. 
                'Vous pouvez choisir un emplacement dans la liste des dossiers système spéciaux, notamment Program Files, Programmes, System ou Démarrage, qui contiennent des informations communes.  
                .RootFolder = Environment.SpecialFolder.Personal
                ' Si vous le voulez, vous pouvez aussi définir la propriété Description afin de fournir des instructions supplémentaires à l'utilisateur.
                .Description = "Selectionnez le répertoire ..."
                ' Vous pouvez utiliser la propriété ShowNewFolderButton pour déterminer si l'utilisateur est en mesure de créer des dossiers à l'aide du bouton Nouveau dossier.
                .ShowNewFolderButton = True
                If .ShowDialog = Windows.Forms.DialogResult.OK Then
                    LblResult.Text = .SelectedPath
                End If

            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, Me.Text)
        End Try
    End Sub

    Private Sub RbtnResultDefaut_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnResultDefaut.CheckedChanged
        If RbtnResultDefaut.Checked = True Then BtnResultModif.Enabled = False : LblResult.Text = Directory.GetCurrentDirectory.ToString()
    End Sub

    Private Sub RbtnResultPerso_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnResultPerso.CheckedChanged
        If RbtnResultPerso.Checked = True Then BtnResultModif.Enabled = True : BtnResultModif.Focus()
    End Sub

    Private Sub RbtnDatadefaut_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnDatadefaut.CheckedChanged
        If RbtnDatadefaut.Checked = True Then BtnDataModif.Enabled = False : LblData.Text = Directory.GetCurrentDirectory.ToString()
    End Sub

    Private Sub RbtndataPerso_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtndataPerso.CheckedChanged
        If RbtndataPerso.Checked = True Then BtnDataModif.Enabled = True : BtnDataModif.Focus()
    End Sub

    Private Sub BtnDataModif_Click(sender As System.Object, e As System.EventArgs) Handles BtnDataModif.Click
        Try
            With FolderBrowserDialog1
                .RootFolder = Environment.SpecialFolder.Personal
                .Description = "Selectionnez le répertoire ..."
                .ShowNewFolderButton = True
                If .ShowDialog = Windows.Forms.DialogResult.OK Then
                    LblData.Text = .SelectedPath
                End If

            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, Me.Text)
        End Try
    End Sub

End Class