Imports System.IO
Public Class frmMenu

    Public Affichage As Integer

    Private Sub frmMenu_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Dim reponse As Integer
        reponse = MsgBox("Voulez-vous quitter l'application ?", MsgBoxStyle.YesNo Or MsgBoxStyle.Exclamation Or MsgBoxStyle.DefaultButton1, "Calculette Btiment")
        If reponse = 6 Then
            Dim myProcesses() As Process
            Dim myProcess As Process
            ' Contrle des process
            ' Si un process EXCEL tourne encore je le flingue...
            myProcesses = Process.GetProcesses()
            For Each myProcess In myProcesses
                If UCase(myProcess.ProcessName) = "EXCEL" Then
                    myProcess.Kill()
                End If
            Next
            e.Cancel = False
            '  End
        Else
            e.Cancel = True
        End If
    End Sub
    Private Sub frmMenu_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Chargement en mmoire du fichier Excel contenant les caractristiques gomtriques des profils
        'Cela permet un affichage plus rapide des autres formulaires
        'Chargement en mmoire du fichier config.ini
        Dim msg As String = ""

        Dim Verif As Boolean = True

        Try
            Aff.FileName = Directory.GetCurrentDirectory.ToString() & "\cfg_Calculette_Batiment.ini" 'obligatoirement dans le rpertoire racine
            If My.Computer.FileSystem.DirectoryExists(Directory.GetCurrentDirectory.ToString() & "\data") = False Then
                My.Computer.FileSystem.CreateDirectory(Directory.GetCurrentDirectory.ToString() & "\data")
            End If
            If My.Computer.FileSystem.DirectoryExists(Directory.GetCurrentDirectory.ToString() & "\resultat") = False Then
                My.Computer.FileSystem.CreateDirectory(Directory.GetCurrentDirectory.ToString() & "\resultat")
            End If
            If File.Exists(Aff.FileName) = False Then
                Call Variables_generales() 'appel au modules contenant les variables par defaut
                frmConfig.Ecriture_fichier_Cfg_ini() 'creation du fichier lors de l'installation du logiciel
            Else

                Call Lecture_fichier_Ini(Verif) 'Affichage des valeurs en cours
                If verif = False Then
                    msg = "Erreur: " & vbCrLf & "Impossible de lire le fichier de configuration"
                    MsgBox(msg, MsgBoxStyle.Critical Or MsgBoxStyle.OkOnly, "Calculette Btiment")
                    End
                End If

            End If

            If msg <> String.Empty Then
                MessageBox.Show(msg, "Configuration", MessageBoxButtons.OK, MessageBoxIcon.Error)
                MessageBox.Show("Logiciel arret", "Calculette Btiment", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End
            End If
        Catch exc As Exception
            msg = "Erreur: " & exc.Message
            MsgBox(msg, MsgBoxStyle.Critical Or MsgBoxStyle.OkOnly, "Calculette Btiment")
            Exit Sub
        End Try
    End Sub
    Private Sub BtnNeige_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnNeige.Click
        Me.Hide() 'le prog tourne en tache de fond, vite de le rappeler
        Dim frm1 As New frmNeige
        Affichage = 1
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub
    Private Sub BtnVent_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnVent.Click
        Me.Hide() 'le prog tourne en tache de fond
        Dim frm1 As New frmVent
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub
    Private Sub BtnOubati_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnOubati.Click
        Try
            Dim startInfo As New ProcessStartInfo("excel.exe")
            startInfo.WindowStyle = ProcessWindowStyle.Normal
            startInfo.Arguments = "oubati_v3-2.xlsx"
            Process.Start(startInfo)
        Catch exc As Exception
            Dim msg As String
            msg = "Erreur: " & exc.Message & vbCrLf & "Problme d'accs au fichier."
            MessageBox.Show(msg, "Calculette btiment", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
    End Sub
    Private Sub BtnCsCD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnCsCd.Click
        Me.Hide() 'le prog tourne en tache de fond, vite de le rappeler
        Dim frm1 As New frmCsCd
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub
    Private Sub BtnTourbillon_Click(sender As Object, e As EventArgs) Handles BtnTourbillon.Click
        Me.Hide() 'le prog tourne en tache de fond, vite de le rappeler
        Dim frm1 As New frmTourbillon
        Affichage = 1
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub
    Private Sub BtnVenturi_Click(sender As Object, e As EventArgs) Handles BtnVenturi.Click
        Try
            Dim startInfo As New ProcessStartInfo("excel.exe")
            startInfo.WindowStyle = ProcessWindowStyle.Normal
            startInfo.Arguments = "VENTURI_EC1_2011_V.2.01.xls"
            Process.Start(startInfo)
        Catch exc As Exception
            Dim msg As String
            msg = "Erreur: " & exc.Message & vbCrLf & "Problme d'accs au fichier."
            MessageBox.Show(msg, "Calculette btiment", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
    End Sub
    Private Sub BtnApropos1_Click(sender As System.Object, e As System.EventArgs) Handles BtnApropos.Click
        Dim frm1 As New frmSplash
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub
    Private Sub BtnConfig_Click(sender As System.Object, e As System.EventArgs) Handles BtnConfig.Click
        Me.Hide() 'le prog tourne en tache de fond, vite de le rappeler
        Dim frm1 As New frmConfig
        Affichage = 1
        frm1.Show()
        frm1 = Nothing 'pour librer la mmoire
    End Sub


End Class
